_LWP_EXIT(2) | System Calls Manual | _LWP_EXIT(2)

# NAME

`_lwp_exit` —
terminate the calling light-weight process

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <lwp.h>`

void
`_lwp_exit`(void);

# DESCRIPTION

`_lwp_exit`() terminates the calling LWP. If it is the last LWP in the process, the process exits with a status of 0. If the LWP was not created in a detached state, then the system will not reclaim its LWP ID until its status is reported to another LWP in the process via _lwp_wait(2).

# RETURN VALUES

`_lwp_exit`() can never return.

# SEE ALSO

_exit(2), _lwp_create(2), _lwp_wait(2)

# HISTORY

The `_lwp_exit`() system call first appeared in NetBSD 2.0.

January 13, 2003 | NetBSD 9.5